New upstream release.
[debian/mimetic.git] / debian / changelog
index 294e08da081a3354b1e32e0dae312ff7a0cce982..7e805acc09b8af67b501c7513e87b8f5fbebdc1c 100644 (file)
@@ -1,9 +1,38 @@
-mimetic (0.9.6-1) UNRELEASED; urgency=low
+mimetic (0.9.7-1) UNRELEASED; urgency=low
 
   * New upstream release.
-  * Change Section to debug for libmimetic0-dbg.
 
- -- gregor herrmann <gregoa@debian.org>  Sun, 15 Mar 2009 19:25:50 +0100
+ -- gregor herrmann <gregoa@debian.org>  Sat, 10 Sep 2011 17:10:44 +0200
+
+mimetic (0.9.6-2) unstable; urgency=low
+
+  * Add patch const-correctness.patch to fix an error that is triggered by
+    modern gcc versions; thanks to Berthold Stoeger for the bug report and the
+    patch (closes: #583507).
+  * Convert to source format 3.0 (quilt).
+  * Set Standards-Version to 3.8.4 (no changes).
+  * Use the autotools-dev debhelper addon.
+  * debian/copyright: update formatting (DEP5) and years of packaging
+    copyright.
+
+ -- gregor herrmann <gregoa@debian.org>  Sat, 29 May 2010 16:08:53 +0200
+
+mimetic (0.9.6-1) unstable; urgency=low
+
+  * New upstream release.
+  * debian/control:
+    - change Section to debug for libmimetic0-dbg
+    - remove Section for libmimetic0 (duplicate)
+    - set Standards-Version to 3.8.1 (no changes)
+    - add ${misc:Depends}
+  * debian/copyright: update years of upstream and packaging copyright; the
+    upstream code is now released under the MIT license; update "headers".
+  * Remove debian/libmimetic-doc.{postinst,prerem}, install-docs doesn't need
+    to be called manually anymore.
+  * Set debhelper compatibility level to 7; adapt
+    debian/{control,compat,rules}.
+
+ -- gregor herrmann <gregoa@debian.org>  Fri, 15 May 2009 19:12:51 +0200
 
 mimetic (0.9.5-1) unstable; urgency=low